// +build !appengine,!appenginevm

package main

import (
	"github.com/labstack/echo.v2"
	"github.com/labstack/echo.v2/engine/standard"
	"github.com/labstack/echo.v2/middleware"
)

func createMux() *echo.Echo {
	e := echo.New()

	e.Use(middleware.Recover())
	e.Use(middleware.Logger())
	e.Use(middleware.Gzip())

	e.Use(middleware.Static("public"))

	return e
}

func main() {
	e.Run(standard.New(":8080"))
}
